# Les autorités de certification

Dans TLS, une autorité de certification est un organisme qui a acquis la confiance d'autres systèmes numériques pour garantir l'identité d'un serveur.

À la demande d'un serveur, l'autorité s'assurera de son identité puis signera avec sa clé privée le certificat publique du serveur et lui enverra cette signature. Lorsqu'un client se connectera au serveur, celui-ci enverra en plus de son certificat publique la signature transmise par l'autorité de certification. Le client pourra déchiffrer cette signature avec la clé publique de l'autorité de certification et s'il a confiance en cette dernière, aura aussi confiance en l'authenticité du certificat publique du serveur.

 souhaitant permettre au client de s'assurer de son authenticité.

La plupart des autorités de certification sont des entreprises qui font payer la certification, mais [Let's Encrypt](https://letsencrypt.org/) est à but non lucratif et sa certification est gratuite.
