# Le protocole Internet

Le protocole Internet (Internet Protocol, IP) est le plus essentiel protocole qui soit commun à tout internet.

Il existe 2 versions qui sont utilisées : IPv4 et IPv6.

## IPv4

Les adresse IPv4 sont composées de 4 nombres entre 0 et 255 séparés par des points (`.`), par exemple : `203.0.113.42`.

Ceci permet de stocker les adresses sur 32 bits, soit 4 294 967 296 possibilités.

## IPv6

Les adresses IPv6 sont composées de 8 blocs de 4 chiffres hexadécimaux séparés par des `:`, par exemple `2001:0db8:0000:0000:0000:8a2e:0370:7334`. Elles peuvent toutefois être raccourcies, par exemple `2001:db8::8a2e:370:7334`.

Ceci permet de stocker les adresses sur 128 bits, soit 340 282 366 920 938 463 463 374 607 431 768 211 456 possibilités.
