# Les unités binaires

L'informatique utilise une représentation de l'information basée sur le binaire.

bit (b)
: Un chiffre binaire, représenté par un `0` ou un `1`.

octet (o) (en anglais byte (baïte) (B))
: Un groupement de 8 bits, par exemple `01101011`.

## Multiples en préfixes binaires

kibioctet (Kio)
: 1024 octets ; 2<sup>10</sup>octets

mébioctet (Mio)
: 1024 kibioctets ; 2<sup>20</sup>octets

gibioctet (Gio)
: 1024 mébioctets ; 2<sup>30</sup>octets

tébioctet (Tio)
: 1024 tébioctets ; 2<sup>40</sup>octets

## Multiples en préfixes décimaux

kilooctet (Ko)
: 1000 octets ; 10<sup>3</sup>octets

mégaoctet (Mo)
: 1000 kilooctets ; 10<sup>6</sup>octets

gigaoctet (Go)
: 1000 mégaoctets ; 10<sup>9</sup>octets

téraoctet (Mo)
: 1000 gigaoctets ; 10<sup>12</sup>octets
